Beta — endpoints, schemas, limits and examples may change before general availability.
Hellomateo API Documentation
Messaging

Cancel Message

POST
/v1/messages/{message_id}/cancel

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

message_id*string
Formatuuid

Response Body

application/json

curl -X POST "https://api.getmateo.com/v1/messages/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancel"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",  "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2",  "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",  "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459",  "channel_type": "email",  "author_id": "string",  "author_type": "bot",  "is_inbound": true,  "forwarded": true,  "content": {    "type": "root",    "children": [      {        "type": "text",        "content": "string",        "bold": true,        "underline": true,        "strikethrough": true,        "italic": true      }    ],    "style": {      "color": "string",      "fontSize": 0,      "fontFamily": "string",      "alignment": "left"    }  },  "raw_content": "string",  "snippet": "string",  "subject": "string",  "footer": "string",  "contacts": [    {      "addresses": [        {          "city": "string",          "country": "string",          "country_code": "string",          "state": "string",          "street": "string",          "type": "string",          "zip": "string"        }      ],      "birthday": "string",      "emails": [        {          "email": "string",          "type": "string"        }      ],      "name": {        "formatted_name": "string",        "first_name": "string",        "last_name": "string",        "middle_name": "string",        "suffix": "string",        "prefix": "string"      },      "org": {        "company": "string",        "department": "string",        "title": "string"      },      "phones": [        {          "phone": "string",          "type": "string",          "wa_id": "string"        }      ],      "urls": [        {          "url": "string",          "type": "string"        }      ]    }  ],  "external_files": [    {      "url": "string",      "type": "audio"    }  ],  "files": [    {      "name": "string",      "metadata": {        "property1": null,        "property2": null      },      "property1": null,      "property2": null    }  ],  "header_media_filename": "string",  "error": {    "property1": null,    "property2": null  },  "error_code": "string",  "status": "answered",  "send_after": "2019-08-24T14:15:22Z",  "sent_at": "2019-08-24T14:15:22Z",  "timestamp": "2019-08-24T14:15:22Z",  "date": "2019-08-24T14:15:22Z",  "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc",  "sendout_id": "355312a2-92c6-4c00-afe0-809e43e2623b",  "campaign_id": "78614b6c-fe7c-41e2-8e25-c9b3a3c91904",  "review_channel_id": "ee220a3f-5683-4244-a09c-c291f465ddc9",  "reply_to_message_id": "7ee4bcf0-8f1b-4bb4-86b4-8565dd84787f",  "attachment_count": -9007199254740991,  "placeholder_values": [    "string"  ],  "location": "string",  "location_metadata": {    "address": "string",    "name": "string",    "url": "string"  },  "quoted_message_content": {    "type": "root",    "children": [      {        "type": "text",        "content": "string",        "bold": true,        "underline": true,        "strikethrough": true,        "italic": true      }    ],    "style": {      "color": "string",      "fontSize": 0,      "fontFamily": "string",      "alignment": "left"    }  },  "quoted_message_text": "string",  "forwarded_message_content": {    "type": "root",    "children": [      {        "type": "text",        "content": "string",        "bold": true,        "underline": true,        "strikethrough": true,        "italic": true      }    ],    "style": {      "color": "string",      "fontSize": 0,      "fontFamily": "string",      "alignment": "left"    }  },  "forwarded_message_text": "string",  "cleared_at": "2019-08-24T14:15:22Z",  "external_id": "string",  "created_by_api_token_id": "e81f6f5f-9312-4aeb-bac0-3375e69caa13",  "created_by_rule_id": "e28a8378-4118-4d67-bafc-6defcbfa0a05",  "cs_agent_session_id": "f10cf73a-2212-4843-a9f4-4bb7c0cdb796",  "form_element_submission_id": "d0037128-4dc4-4a2d-84f9-bea83b354986",  "journey_node_execution_id": "a431991a-5961-427d-b58c-37e1c7e66dbb",  "omni_channel_message_id": "2c9cf582-c256-4aba-b848-208a5365a7d8",  "marketing_channel_id": "ae5680ad-b032-4fd0-b011-98eba965b308",  "triggered_message_action_id": "27f20eaa-277d-4a09-8d2d-4073b2311955",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}